<?php

namespace My\Space;

define("GLOBAL_CONSTANT_DEFINE", 'test');

define("Namespaced\GLOBAL_CONSTANT_DEFINE", 'test');

const GLOBAL_CONSTANT_CONST = 'test';

class Subclass extends SuperClass
{

}

class SuperClass implements SubInterface
{
    const CLASS_CONSTANT = 'test';

    public static $staticProperty;

    public $publicProperty;

    protected $protectedProperty;

    private $privateProperty;

    public function publicMethod()
    {
    }

    static public function staticMethod()
    {
    }

    protected function protectedMethod(\stdClass $argument)
    {
    }

    private function privateMethod()
    {
    }
}

interface SubInterface extends SuperInterface,AnotherSuperInterface
{

}

interface SuperInterface
{
    const INTERFACE_CONSTANT = 'test';

    public function publicMethod();
}

interface AnotherSuperInterface
{
    static public function staticMethod();
}
